Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues
Class ComponentBindingType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.BindingType
                  org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ExpressionBindingType
                      org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ValueBindingType
                          org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ComponentBindingType

All Implemented Interfaces:
  IMetaDataEnabledFeature, ITypeDescriptor, IValidELValues, IValidValues

public class ComponentBindingType
extends ValueBindingType
implements IValidValues, IValidELValues

Meta-data processing type representing a "binding" attribute

Field Summary

Fields inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ExpressionBindingType
`RUNTIME_PARAMS_TYPES, RUNTIME_RETURN_TYPE, RUNTIME_SETTER_REQUIRED`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Constructor Summary
`ComponentBindingType()`

Method Summary
`boolean` | `isValidValue(java.lang.String value)`

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ValueBindingType
`getAssignmentValue, getExpectedRuntimeType, getIsSetValueRequired`

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ExpressionBindingType
`getParams, getReturnType, getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
`findMetaDataEnabledFeaturesForThisType, getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getCMAttributePropertyValue, getCMAttributePropertyValues, getCMSmallIcon, getImage, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IValidValues
`getValidationMessages`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.IMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IValidELValues
`getExpectedRuntimeType`

Constructor Detail

### ComponentBindingType

    public ComponentBindingType()

Method Detail

### isValidValue

    public boolean isValidValue(java.lang.String value)

  Specified by:
    `isValidValue` in interface `IValidValues`
  Returns:
    true if is valid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD